Changeset 9939b16 in sasview


Ignore:
Timestamp:
Sep 11, 2014 3:01:55 PM (6 years ago)
Author:
pkienzle
Branches:
master, ESS_GUI, ESS_GUI_Docs, ESS_GUI_batch_fitting, ESS_GUI_bumps_abstraction, ESS_GUI_iss1116, ESS_GUI_iss879, ESS_GUI_iss959, ESS_GUI_opencl, ESS_GUI_ordering, ESS_GUI_sync_sascalc, costrafo411, magnetic_scatt, release-4.1.1, release-4.1.2, release-4.2.2, release_4.0.1, ticket-1009, ticket-1094-headless, ticket-1242-2d-resolution, ticket-1243, ticket-1249, ticket885, unittest-saveload
Children:
4c8a372
Parents:
820df88
Message:

install bumps/periodictable as part of jenkins build for linux/mac

Files:
4 edited

Legend:

Unmodified
Added
Removed
  • build_tools/jenkins_linux_build.sh

    r9f15df4 r9939b16  
    1515rm -rf build 
    1616 
    17 export PYTHONPATH=$PYTHONPATH:$WORKSPACE/sasview-install:$WORKSPACE/utils 
     17"$EASY_INSTALL" -d "$WORKSPACE/utils" bumps==0.7.5 
     18"$EASY_INSTALL" -d "$WORKSPACE/utils" periodictable==1.3.0 
     19 
     20export PYTHONPATH=$WORKSPACE/sasview-install:$WORKSPACE/utils:$PYTHONPATH 
    1821 
    1922$PYTHON check_packages.py 
  • build_tools/jenkins_linux_pylint.sh

    r57986a1 r9939b16  
    11#! /bin/sh 
     2set -x 
    23 
    34# try to find reasonable settings, if not provided in the environment 
     
    89# WORKSPACE top level of source 
    910 
    10 export PYTHONPATH=$PYTHONPATH:$WORKSPACE/sasview-install:$WORKSPACE/utils 
     11export PYTHONPATH=$WORKSPACE/sasview-install:$WORKSPACE/utils:$PYTHONPATH 
    1112 
    1213cd $WORKSPACE 
    1314rm -f test/*.txt 
    1415 
    15 $PYLINT --rcfile $WORKSPACE/build_tools/pylint.rc -f parseable sasview-install/sasview.egg/sans sansview > test/sansview.txt || exit 0 
     16$PYLINT --rcfile "$WORKSPACE/build_tools/pylint.rc" -f parseable sasview-install/sasview.egg/sans sansview > test/sansview.txt || exit 0 
  • build_tools/jenkins_rhel6_build.sh

    r5709051 r9939b16  
    1212export SASVIEW_INSTALL=sasview-install 
    1313 
     14if [ -z "$EASY_INSTALL" ]; then 
     15        EASY_INSTALL=`which easy_install` 
     16fi 
     17 
    1418 
    1519# Set up build environmentRun tests ####################################### 
     
    2125fi 
    2226export PYTHONPATH=$PYTHONPATH:$WORKSPACE/utils 
    23 easy_install -d $WORKSPACE/utils unittest-xml-reporting 
    24 easy_install -d $WORKSPACE/utils lxml 
    25 easy_install -d $WORKSPACE/utils pyparsing==1.5.5 
     27"$EASY_INSTALL" -d "$WORKSPACE/utils" unittest-xml-reporting 
     28"$EASY_INSTALL" -d "$WORKSPACE/utils" lxml 
     29"$EASY_INSTALL" -d "$WORKSPACE/utils" pyparsing==1.5.5 
     30"$EASY_INSTALL" -d "$WORKSPACE/utils" bumps==0.7.5 
     31"$EASY_INSTALL" -d "$WORKSPACE/utils" periodictable==1.3.0 
    2632python deps.py 
    2733 
  • check_packages.py

    r443a487 r9939b16  
    55import sys 
    66 
    7 common_required_package_list = {'setuptools':{'version':'0.6c11','import_name':'setuptools','test':'__version__'}, 
    8                 'pyparsing':{'version':'1.5.5','import_name':'pyparsing','test':'__version__'}, 
    9                 'html5lib':{'version':'0.95','import_name':'html5lib','test':'__version__'}, 
    10                 'reportlab':{'version':'2.5','import_name':'reportlab','test':'Version'}, 
    11                 'lxml':{'version':'2.3','import_name':'lxml.etree','test':'LXML_VERSION'}, 
    12                 'PIL':{'version':'1.1.7','import_name':'Image','test':'VERSION'}, 
    13                 'pylint':{'version':None,'import_name':'pylint','test':None}, 
    14                 'periodictable':{'version':'1.3.0','import_name':'periodictable','test':'__version__'}, 
    15                 'numpy':{'version':'1.6.1','import_name':'numpy','test':'__version__'}, 
    16                 'scipy':{'version':'0.10.1','import_name':'scipy','test':'__version__'}, 
    17                 'wx':{'version':'2.8.12.1','import_name':'wx','test':'__version__'}, 
    18                 'matplotlib':{'version':'1.1.0','import_name':'matplotlib','test':'__version__'}, 
    19                 'pisa':{'version':'3.0.28','import_name':'ho.pisa','test':'__version__'} 
     7common_required_package_list = { 
     8    'setuptools':{'version':'0.6c11','import_name':'setuptools','test':'__version__'}, 
     9    'pyparsing':{'version':'1.5.5','import_name':'pyparsing','test':'__version__'}, 
     10    'html5lib':{'version':'0.95','import_name':'html5lib','test':'__version__'}, 
     11    'reportlab':{'version':'2.5','import_name':'reportlab','test':'Version'}, 
     12    'lxml':{'version':'2.3','import_name':'lxml.etree','test':'LXML_VERSION'}, 
     13    'PIL':{'version':'1.1.7','import_name':'Image','test':'VERSION'}, 
     14    'pylint':{'version':None,'import_name':'pylint','test':None}, 
     15    'periodictable':{'version':'1.3.0','import_name':'periodictable','test':'__version__'}, 
     16    'bumps':{'version':'0.7.5','import_name':'periodictable','test':'__version__'}, 
     17    'numpy':{'version':'1.6.1','import_name':'numpy','test':'__version__'}, 
     18    'scipy':{'version':'0.10.1','import_name':'scipy','test':'__version__'}, 
     19    'wx':{'version':'2.8.12.1','import_name':'wx','test':'__version__'}, 
     20    'matplotlib':{'version':'1.1.0','import_name':'matplotlib','test':'__version__'}, 
     21    'pisa':{'version':'3.0.28','import_name':'ho.pisa','test':'__version__'}, 
     22} 
     23win_required_package_list = { 
     24    'comtypes':{'version':'0.6.2','import_name':'comtypes','test':'__version__'}, 
     25    'pywin':{'version':'217','import_name':'pywin','test':'__version__'}, 
     26    'py2exe':{'version':'0.6.9','import_name':'py2exe','test':'__version__'}, 
     27} 
     28mac_required_package_list = { 
     29    'py2app':{'version':None,'import_name':'py2app','test':'__version__'}, 
     30} 
    2031 
     32deprecated_package_list = { 
     33    'pyPdf':{'version':'1.13','import_name':'pyPdf','test':'__version__'}, 
    2134} 
    22 win_required_package_list = {'comtypes':{'version':'0.6.2','import_name':'comtypes','test':'__version__'}, 
    23                              'pywin':{'version':'217','import_name':'pywin','test':'__version__'}, 
    24                              'py2exe':{'version':'0.6.9','import_name':'py2exe','test':'__version__'} 
    25 } 
    26 mac_required_package_list = {'py2app':{'version':None,'import_name':'py2app','test':'__version__'}} 
    27  
    28 deprecated_package_list = {'pyPdf':{'version':'1.13','import_name':'pyPdf','test':'__version__'}} 
    2935 
    3036print "Checking Required Package Versions...." 
Note: See TracChangeset for help on using the changeset viewer.